.coming-soon-page {
  .e-body {
    .fold {
      &.one {
        @import '../../../themes/variables/font';
        @import '../../../themes/variables/color';
        @import '../../../themes/mixins/animation';
        @import '../../../themes/mixins/adaptive';

        display: flex;
        flex-direction: column;
        justify-content: flex-end;

        .body {
          display: flex;
          position: relative;
          align-items: flex-end;

          /* Ratio 16:9 */
          .intro-video {
            position: relative;

            &,
            .intro {
              width: calc(100vw - 30rem - 7.1rem);
              height: calc((100vw - 30rem - 7.1rem) * 9 / 16);
            }

            .play-video-button {
              position: absolute;
              top: 50%;
              left: 50%;
              transform: translate(-50%, -50%);

              .icon {
                margin: initial;
              }
            }
          }

          .side-text {
            @include desktop {
              position: fixed;
              right: 0;
              /* bottom: calc(17.31vh / 2);
              transform: rotate(-90deg) translate(-20%, 100%); */

              bottom: calc(17.31vh / 2);
              transform: rotate(-90deg) translate(20%, 100%);
              z-index: 97;

              color: $blue-2;
              font-family: $specific-font-1;
              font-size: 5rem;
              letter-spacing: 0.1rem;
              line-height: 1.42;
              text-align: left;
              white-space: nowrap;
            }
          }
        }

        .footer {
          display: flex;
          align-items: center;
          justify-content: center;

          height: calc(100vh - (100vw - 30rem - 7.1rem) * 9 / 16);
          max-height: 17.31vh;

          .scrolldown-button {
            .icon {
              animation: swing-down 4.5s ease-in-out infinite;
              margin-bottom: 2rem;
            }

            .button-label {
              color: $blue-1 !important;
              font-size: 1.6rem;
              font-weight: 300;
            }
          }
        }
      }
    }
  }
}
